Why do I need to update my web browser?

Starting August 10, 2018, we won't be supporting Internet Explorer 7, 8 or 9 anymore. If you still access your Booking.com Extranet with these web browsers, continue reading for more info.

Why are we making this change?

SecurityDue to security concerns regarding the handling of sensitive data, we can't guarantee a seamless and safe user experience on the above-mentioned browsers anymore. If you’re using an outdated browser, you run the risk of facing errors and security threats, as well as having no access to credit card details.SupportWe’re focusing our testing and support efforts on the latest versions of commonly-used browsers that offer worldwide partners a smoother experience on the Extranet. If you use an outdated browser, you won’t get to enjoy the updates we make to help you run your business more efficiently.InnovationWe’re constantly releasing new features, but older browsers can’t support all of our innovations. If you use an outdated browser, you’ll miss out on new features that could provide you with better solutions to the challenges you face.It’s easy to upgrade your browser. Just click on one of the options below to download a recommended browser:Google ChromeMozilla FirefoxMicrosoft Edge